<?php
namespace Claromentis\Infocapture\Model;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_4d707fab93bebb00bbe6" . "9e8159697c90" => base64_decode(""), "_ea8229a121285ee649a" . "72fd880bac39b" => base64_decode("YXJyYXlfZmls" . "dGVy"), "_bd71c3b5c201f" . "c11db82ed14ce4" . "24de5" => base64_decode("aW5fYXJyYXk" . "="), "nam" . "e" => base64_decode("bm" . "Ft" . "ZQ" . "=="), "project_i" . "d" => base64_decode("cHJv" . "amVj" . "dF9p" . "ZA=="), "fiel" . "ds" => base64_decode("ZmllbGR" . "z"), "i" . "d" => base64_decode("aWQ" . "="));










class ICFieldGroup
{
    const COLUMNS = ['id', 'project_id', 'name'];
    protected $info;
    protected $actual_fields;
    public function __construct()
    {
        $this->info = [$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["i" . "d"] => 0, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["proj" . "ect_" . "id"] => 0, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["n" . "a" . "m" . "e"] => $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e8159697c" . "90"]];
        $this->actual_fields = null;
    }
    
    
    
    
    
    public function __get($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_bd71c3b5" . "c201fc11d" . "b82ed14ce" . "424de5"]($name, self::COLUMNS)) {
            return $this->info[$name];
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["field" . "s"]) {
            return $this->actual_fields;
        } else {
            return null;
        }
    }
    public function RemoveField(string $name)
    {
        if (isset($this->actual_fields)) {
            $this->actual_fields = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_ea8229a121285ee64" . "9a72fd880bac39b"]($this->actual_fields, function ($_639c656f6865ab6b445853d34bc56534) use($name) {
                return $_639c656f6865ab6b445853d34bc56534 !== $name;
            });
        }
    }
    public function AddField(string $name)
    {
        if (!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_bd71c3b5c201fc11db82ed14ce4" . "24de5"]($name, $this->actual_fields)) {
            $this->actual_fields[] = $name;
        }
    }
    public function __set($name, $value)
    {
        if ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["i" . "d"]) {
            throw new \InvalidArgumentException();
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_bd71c3b5c2" . "01fc11db82e" . "d14ce424de5"]($name, self::COLUMNS)) {
            $this->info[$name] = $value;
        } elseif ($name === $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["fie" . "lds"]) {
            $this->actual_fields = $value;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __isset($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bd71c3b5c" . "201fc11db8" . "2ed14ce424" . "de5"]($name, self::COLUMNS)) {
            return true;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["fie" . "lds"]) {
            return isset($this->actual_fields);
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function setInfo(array $info)
    {
        $this->info = $info;
    }
}